#ifndef AUBO_SCOPE_GRIPPER_DEVICE_H
#define AUBO_SCOPE_GRIPPER_DEVICE_H

#include <aubo_caps/domain/device/device.h>

namespace arcs {
namespace aubo_scope {
ARCS_CLASS_FORWARD(GripperDevice);

/**
 * This interface represents a gripper device in PolyScope.
 */
class ARCS_ABI_EXPORT GripperDevice : public Device
{
public:
    virtual ~GripperDevice() = default;
};
} // namespace aubo_scope
} // namespace arcs

#endif
